Autor Tópico: [Xubuntu] Dependências (-f install não resolve)  (Lida 2773 vezes)

Offline ZairHenrique

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
[Xubuntu] Dependências (-f install não resolve)
« Online: 27 de Outubro de 2015, 11:30 »
Oi, hoje tive este problema ao tentar sudo apt-get update e logo após sudo apt-get upgrade:
Código: [Selecionar]
zair@zair-X450CA:~$ sudo apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
 libsdl-mixer1.2-dev:i386 : Depende: libmikmod2-dev:i386 (>= 3.1.11) mas não está instalado
E: Dependências desencontradas. Tente usar -f.

Ao executar sudo apt-get -f install:
Código: [Selecionar]
zair@zair-X450CA:~$ sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  cdbs dh-translations gfortran-4.8 intltool libasound2-dev libblas-dev
  libbz2-dev libdbus-1-dev libdrm-dev libflac-dev libgfortran-4.8-dev
  libgl1-mesa-dev libjbig-dev libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
  liblapack-dev liblzma-dev libmikmod2-dev libncurses5-dev libogg-dev
  libpcre3-dev libpthread-stubs0-dev libreadline-dev libreadline6-dev
  libsdl-mixer1.2 libtiff5-dev libtiffxx5 libtinfo-dev libvorbis-dev
  libwebp-dev libwebpdemux1 libx11-dev libx11-xcb-dev libxau-dev
  libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev
  libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev
  libxfixes-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev python-scour
  python-simplegeneric python3-pygments zlib1g-dev
Utilize 'apt-get autoremove' para os remover.
Os pacotes extra a seguir serão instalados:
  libmikmod2-dev:i386
Os NOVOS pacotes a seguir serão instalados:
  libmikmod2-dev:i386
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 11 não atualizados.
69 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/172 kB de arquivos.
Depois desta operação, 693 kB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 688988 ficheiros e directórios actualmente instalados.)
Preparing to unpack .../libmikmod2-dev_3.1.16-1_i386.deb ...
Unpacking libmikmod2-dev:i386 (3.1.16-1) ...
dpkg: error processing archive /var/cache/apt/archives/libmikmod2-dev_3.1.16-1_i386.deb (--unpack):
 a tentar sobreescrever '/usr/bin/libmikmod-config' partilhado, que é diferente de outras instâncias do pacote libmikmod2-dev:i386
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/libmikmod2-dev_3.1.16-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ao tentar sudo apt-get autoremove:
Código: [Selecionar]
zair@zair-X450CA:~$ sudo apt-get autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
 libsdl-mixer1.2-dev:i386 : Depende: libmikmod2-dev:i386 (>= 3.1.11) mas não está instalado
E: Dependências desencontradas. Tente usar -f.

Ou seja, é um loop neste problema.

paulinho1971

  • Visitante
Re:[Xubuntu] Dependências (-f install não resolve)
« Resposta #1 Online: 27 de Outubro de 2015, 14:34 »
Olá,

- O que você estava fazendo?
- Apenas o update?
- Tentou instalar algo de PPA, arquivo .DEB que não esteja no repositório?

Poste a saida completa de:
Código: [Selecionar]
sudo apt-get update ; sudo apt-get upgrade
T+

Offline ZairHenrique

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:[Xubuntu] Dependências (-f install não resolve)
« Resposta #2 Online: 27 de Outubro de 2015, 14:46 »
Oi, desculpe não ter dado mais detalhes no post inicial, estava no meio de uma aula e escrevi com pressa.
Eu estava instalando algumas bibliotecas do SDL, e instalei algumas de arquitetura i386, o que acredito que esteja dando conflito.
Lembro que tinha algum arquivo que ficava com os logs do apt-get, mas não o encontro.

Saída do update/upgrade:
Código: [Selecionar]
zair@zair-X450CA:~$ sudo apt-get update; sudo apt-get upgrade
Ign http://br.archive.ubuntu.com trusty InRelease
Atingido http://br.archive.ubuntu.com trusty-updates InRelease                 
Atingido http://br.archive.ubuntu.com trusty-backports InRelease               
Atingido http://br.archive.ubuntu.com trusty Release.gpg                       
Atingido http://br.archive.ubuntu.com trusty Release                           
Atingido http://security.ubuntu.com trusty-security InRelease                 
Atingido http://br.archive.ubuntu.com trusty-updates/main Sources             
Atingido http://br.archive.ubuntu.com trusty-updates/restricted Sources       
Ign http://extras.ubuntu.com trusty InRelease                                 
Atingido http://br.archive.ubuntu.com trusty-updates/universe Sources         
Atingido http://br.archive.ubuntu.com trusty-updates/multiverse Sources       
Atingido http://br.archive.ubuntu.com trusty-updates/main amd64 Packages       
Ign http://archive.canonical.com trusty InRelease                             
Ign http://dl.google.com stable InRelease                                     
Atingido http://br.archive.ubuntu.com trusty-updates/restricted amd64 Packages
Atingido http://br.archive.ubuntu.com trusty-updates/universe amd64 Packages   
Ign http://ppa.launchpad.net trusty InRelease                                 
Atingido http://br.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Atingido http://br.archive.ubuntu.com trusty-updates/main i386 Packages       
Atingido http://security.ubuntu.com trusty-security/main Sources               
Atingido http://extras.ubuntu.com trusty Release.gpg                           
Atingido http://br.archive.ubuntu.com trusty-updates/restricted i386 Packages 
Atingido http://br.archive.ubuntu.com trusty-updates/universe i386 Packages   
Atingido http://br.archive.ubuntu.com trusty-updates/multiverse i386 Packages 
Atingido http://br.archive.ubuntu.com trusty-updates/main Translation-en       
Atingido http://archive.canonical.com trusty Release.gpg                       
Atingido http://security.ubuntu.com trusty-security/restricted Sources         
Atingido http://br.archive.ubuntu.com trusty-updates/multiverse Translation-en
Atingido http://extras.ubuntu.com trusty Release                               
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://br.archive.ubuntu.com trusty-updates/restricted Translation-en
Atingido http://br.archive.ubuntu.com trusty-updates/universe Translation-en   
Atingido http://br.archive.ubuntu.com trusty-backports/main Sources           
Atingido http://br.archive.ubuntu.com trusty-backports/restricted Sources     
Atingido http://archive.canonical.com trusty Release                           
Atingido http://security.ubuntu.com trusty-security/universe Sources           
Atingido http://br.archive.ubuntu.com trusty-backports/universe Sources       
Atingido http://br.archive.ubuntu.com trusty-backports/multiverse Sources     
Atingido http://br.archive.ubuntu.com trusty-backports/main amd64 Packages     
Atingido http://extras.ubuntu.com trusty/main Sources                         
Atingido http://br.archive.ubuntu.com trusty-backports/restricted amd64 Packages
Ign http://ppa.launchpad.net trusty InRelease                                 
Atingido http://br.archive.ubuntu.com trusty-backports/universe amd64 Packages
Atingido http://security.ubuntu.com trusty-security/multiverse Sources         
Atingido http://br.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Atingido http://br.archive.ubuntu.com trusty-backports/main i386 Packages     
Atingido http://br.archive.ubuntu.com trusty-backports/restricted i386 Packages
Atingido http://archive.canonical.com trusty/partner amd64 Packages           
Atingido http://br.archive.ubuntu.com trusty-backports/universe i386 Packages 
Atingido http://br.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Atingido http://extras.ubuntu.com trusty/main amd64 Packages                   
Atingido http://security.ubuntu.com trusty-security/main amd64 Packages       
Atingido http://br.archive.ubuntu.com trusty-backports/main Translation-en     
Atingido http://br.archive.ubuntu.com trusty-backports/multiverse Translation-en
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://br.archive.ubuntu.com trusty-backports/restricted Translation-en
Atingido http://security.ubuntu.com trusty-security/restricted amd64 Packages 
Atingido http://archive.canonical.com trusty/partner i386 Packages             
Atingido http://br.archive.ubuntu.com trusty-backports/universe Translation-en
Atingido http://extras.ubuntu.com trusty/main i386 Packages                   
Atingido http://br.archive.ubuntu.com trusty/main Sources                     
Atingido http://dl.google.com stable Release.gpg                               
Atingido http://br.archive.ubuntu.com trusty/restricted Sources               
Atingido http://br.archive.ubuntu.com trusty/universe Sources                 
Atingido http://security.ubuntu.com trusty-security/universe amd64 Packages   
Atingido http://br.archive.ubuntu.com trusty/multiverse Sources               
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://archive.canonical.com trusty/partner Translation-en           
Atingido http://security.ubuntu.com trusty-security/multiverse amd64 Packages 
Atingido http://dl.google.com stable Release                                   
Atingido http://br.archive.ubuntu.com trusty/main amd64 Packages               
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://security.ubuntu.com trusty-security/main i386 Packages         
Atingido http://br.archive.ubuntu.com trusty/restricted amd64 Packages         
Atingido http://br.archive.ubuntu.com trusty/universe amd64 Packages           
Atingido http://br.archive.ubuntu.com trusty/multiverse amd64 Packages         
Atingido http://br.archive.ubuntu.com trusty/main i386 Packages               
Atingido http://br.archive.ubuntu.com trusty/restricted i386 Packages         
Atingido http://security.ubuntu.com trusty-security/restricted i386 Packages   
Atingido http://br.archive.ubuntu.com trusty/universe i386 Packages           
Atingido http://br.archive.ubuntu.com trusty/multiverse i386 Packages         
Atingido http://br.archive.ubuntu.com trusty/main Translation-pt_BR           
Atingido http://br.archive.ubuntu.com trusty/main Translation-pt               
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://br.archive.ubuntu.com trusty/main Translation-en               
Atingido http://security.ubuntu.com trusty-security/universe i386 Packages     
Atingido http://br.archive.ubuntu.com trusty/multiverse Translation-pt_BR     
Atingido http://br.archive.ubuntu.com trusty/multiverse Translation-pt         
Atingido http://dl.google.com stable/main amd64 Packages                       
Atingido http://br.archive.ubuntu.com trusty/multiverse Translation-en         
Atingido http://security.ubuntu.com trusty-security/multiverse i386 Packages   
Atingido http://br.archive.ubuntu.com trusty/restricted Translation-pt_BR     
Atingido http://br.archive.ubuntu.com trusty/restricted Translation-pt         
Atingido http://ppa.launchpad.net trusty InRelease                             
Atingido http://br.archive.ubuntu.com trusty/restricted Translation-en         
Atingido http://br.archive.ubuntu.com trusty/universe Translation-pt_BR       
Atingido http://br.archive.ubuntu.com trusty/universe Translation-pt           
Atingido http://security.ubuntu.com trusty-security/main Translation-en       
Atingido http://br.archive.ubuntu.com trusty/universe Translation-en           
Atingido http://dl.google.com stable/main i386 Packages                       
Atingido http://security.ubuntu.com trusty-security/multiverse Translation-en 
Atingido http://ppa.launchpad.net trusty Release.gpg                           
Atingido http://security.ubuntu.com trusty-security/restricted Translation-en 
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://security.ubuntu.com trusty-security/universe Translation-en   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty Release.gpg                           
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Ign http://extras.ubuntu.com trusty/main Translation-pt_BR                     
Ign http://extras.ubuntu.com trusty/main Translation-pt                       
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Ign http://extras.ubuntu.com trusty/main Translation-en                       
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Atingido http://ppa.launchpad.net trusty Release                               
Atingido http://ppa.launchpad.net trusty Release                               
Ign http://dl.google.com stable/main Translation-pt_BR                         
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Ign http://dl.google.com stable/main Translation-pt                           
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Ign http://dl.google.com stable/main Translation-en                           
Atingido http://ppa.launchpad.net trusty/main amd64 Packages                   
Atingido http://ppa.launchpad.net trusty/main i386 Packages                   
Atingido http://ppa.launchpad.net trusty/main Translation-en                   
Ign http://ppa.launchpad.net trusty/main Translation-pt_BR                     
Ign http://ppa.launchpad.net trusty/main Translation-pt                       
Ign http://ppa.launchpad.net trusty/main Translation-en                       
Lendo listas de pacotes... Pronto                                             
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
 libsdl-mixer1.2-dev:i386 : Depende: libmikmod2-dev:i386 (>= 3.1.11) mas não está instalado
E: Dependências desencontradas. Tente usar -f.
zair@zair-X450CA:~$

obrigado pela atenção,

paulinho1971

  • Visitante
Re:[Xubuntu] Dependências (-f install não resolve)
« Resposta #3 Online: 27 de Outubro de 2015, 14:50 »
Bem tem um PPA por ai e provavelmente é o causador dessa quizila, vamos lá nos diga o que tem em, /etc/apt/sources.list.d, pode fazer assim:

Código: [Selecionar]
cd /etc/apt/sources.list.d
Enter e depois

Código: [Selecionar]
ls -la
T+

Offline ZairHenrique

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:[Xubuntu] Dependências (-f install não resolve)
« Resposta #4 Online: 27 de Outubro de 2015, 15:01 »
Código: [Selecionar]
zair@zair-X450CA:~$ cd /etc/apt/sources.list.d
zair@zair-X450CA:/etc/apt/sources.list.d$ ls -la
total 88
drwxr-xr-x 2 root root 4096 Ago 12 15:38 .
drwxr-xr-x 6 root root 4096 Jun 24 20:15 ..
-rw-r--r-- 1 root root    0 Abr 24  2015 cairo-dock-team-ppa-trusty.list
-rw-r--r-- 1 root root    0 Abr 24  2015 cairo-dock-team-ppa-trusty.list.save
-rw-r--r-- 1 root root    0 Abr 24  2015 conky-companions-ppa-trusty.list
-rw-r--r-- 1 root root    0 Abr 24  2015 conky-companions-ppa-trusty.list.save
-rw-r--r-- 1 root root  176 Ago 12 15:38 google-chrome.list
-rw-r--r-- 1 root root  176 Ago 12 15:38 google-chrome.list.save
-rw-r--r-- 1 root root  154 Ago 12 15:38 kazam-team-stable-series-trusty.list
-rw-r--r-- 1 root root  154 Ago 12 15:38 kazam-team-stable-series-trusty.list.save
-rw-r--r-- 1 root root  128 Ago 12 15:38 kilian-f_lux-trusty.list
-rw-r--r-- 1 root root  128 Ago 12 15:38 kilian-f_lux-trusty.list.save
-rw-r--r-- 1 root root  136 Ago 12 15:38 pipelight-stable-trusty.list
-rw-r--r-- 1 root root  136 Ago 12 15:38 pipelight-stable-trusty.list.save
-rw-r--r-- 1 root root  142 Ago 12 15:38 strukturag-libde265-trusty.list
-rw-r--r-- 1 root root  142 Ago 12 15:38 strukturag-libde265-trusty.list.save
-rw-r--r-- 1 root root  130 Ago 12 15:38 team-xbmc-ppa-trusty.list
-rw-r--r-- 1 root root  130 Ago 12 15:38 team-xbmc-ppa-trusty.list.save
-rw-r--r-- 1 root root  132 Ago 12 15:38 teejee2008-ppa-trusty.list
-rw-r--r-- 1 root root  132 Ago 12 15:38 teejee2008-ppa-trusty.list.save
-rw-r--r-- 1 root root  136 Ago 12 15:38 webupd8team-java-trusty.list
-rw-r--r-- 1 root root  136 Ago 12 15:38 webupd8team-java-trusty.list.save
-rw-r--r-- 1 root root  142 Ago 12 15:38 whatsapp-purple-ppa-trusty.list
-rw-r--r-- 1 root root  142 Ago 12 15:38 whatsapp-purple-ppa-trusty.list.save
-rw-r--r-- 1 root root  204 Ago 12 15:38 xorg-edgers-ppa-trusty.list
-rw-r--r-- 1 root root  134 Ago 12 15:38 xorg-edgers-ppa-trusty.list.save
zair@zair-X450CA:/etc/apt/sources.list.d$

Mas não acredito que seja PPA pois não instalei nenhum faz um tempo.
O que eu estava tendo problemas era para compilar um arquivo em C, para encontrar a solução joguei o erro na internet e peguei as orientações na internet pra instalar a biblioteca. Incrivelmente funcionou e consegui compilar, mas quebrou meu apt-get.

O que fiz foi
Código: [Selecionar]
$ sudo dpkg --add-architecture i386
 $ sudo apt-get update
 $ sudo apt-get install libsdl-image1.2:i386 libsdl-ttf2.0-0:i386 libgtk2.0-0:i386 libjpeg62-turbo:i386 libglu1-mesa:i386 libopenal1:i386 libsdl-sound1.2:i386

Offline ZairHenrique

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:[Xubuntu] Dependências (-f install não resolve)
« Resposta #5 Online: 27 de Outubro de 2015, 16:39 »
Resolvido fazendo sudo dpkg -r libsdl-mixer1.2-dev:i386 
(remover com apt-get nao estava funcionando)

logo após update/upgrade voltaram a funcionar.